.body {
    box-sizing: border-box;
    max-width: 900px;
    width: 98%;
    background-color: white;
    margin: auto;
    padding-top: 20px;
    font-family: Helvetica, Arial, sans-serif;
}

/* ------------------------------------- HEADER ---------------------------------------- */

.header {
    display: flex;
    border-radius: 10px 10px 0 0;
    background-color: black;
    align-items: center;
    justify-content: start;
    padding: 2%;
    color: white;
}

.figure {
    margin: 0;
}

.header__figure {
    width: 27px;
    height: 27px;
}

.header__icon {
    width: 100%;
}

.header__title {
    margin-left: 1%;
    font-size: 20px;
    font-family: "Ubuntu", sans-serif;
}

/* ------------------------------------- MAIN ------------------------------------------ */

.main {
    display: grid;
    grid-template-columns: 60% 40%;
    padding: 3% 4rem 3% 4rem;
    border: solid 1px;
    background-color: #b4b4b4;
    max-height: 650px;
}

/* ------------------------------------ POKEMON ---------------------------------------- */

.pokemon {
    grid-column: 1;
    display: grid;
    grid-template-rows: 1fr 5fr;
}

.pokemon__header {
    grid-row: 1;
    background-color: #f3f3f3;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    margin: 0 5% 2% 5%;
    font-size: 25px;
    height: 45px;
    padding: 2px;
}

.pokemon__icon {
    width: 25px;
    margin-right: 5px;
}

.pokemon__icon--img {
    width: 100%;
}

.pokemon__figure {
    width: 90%;
    grid-row: 2;
    display: flex;
    margin: auto;
}

.pokemon__img {
    width: 100%;
}

/* ---------------------------------- ASIDE - POK-DESCRIPTION -------------------------- */

.description {
    grid-column: 2;
    background: #f3f3f3;
    margin: 0 3% 0 3%;
    border-radius: 10px;
    display: grid;
    grid-template-rows: 1fr repeat(3, 3fr) 1fr;
}

.description--first {
    grid-row: 2;
    display: grid;
    grid-template-columns: 5% 5fr 5fr 5%;
    grid-template-rows: 50% 50%;
}

.description--second {
    grid-row: 3;
    display: grid;
    grid-template-columns: 5% 5fr 5fr 5%;
    grid-template-rows: 50% 50%;
}

.description--third {
    grid-row: 4;
    display: grid;
    grid-template-columns: 5% 5fr 5fr 5%;
    grid-template-rows: 50% 50%;
}

.description__characteristic--first {
    grid-row: 1;
    grid-column: 2;
    display: flex;
    justify-content: center;
    align-items: end;
}

.description__data--first {
    grid-row: 2;
    grid-column: 2;
    display: flex;
    justify-content: center;
    align-items: start;
}

.description__characteristic--second {
    grid-row: 1;
    grid-column: 3;
    display: flex;
    justify-content: center;
    align-items: end;
}

.description__data--second {
    grid-row: 2;
    grid-column: 3;
    display: flex;
    justify-content: center;
    align-items: start;
}

.description__characteristic {
    font-family: "Prompt", sans-serif;
    color: gray;
}

.description__data {
    font-size: 1.3em;
    font-family: "Prompt", sans-serif;
}

/* ---------------------------------------- FOOTER ------------------------------------- */

.footer {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    padding: 10px;
    background-color: #f3f3f3;
    display: grid;
    grid-template-columns: 1fr 4fr 10fr;
    border: solid 1px;
    border-top: 0;
}

.footer__others {
    grid-column: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: "Ubuntu", sans-serif;
    font-size: 1.3rem;
}

.footer__pokemons {
    grid-column: 3;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding-right: 2.3rem;
}

.footer__figure {
    width: 70px;
    height: 70px;
    background-color: #b4b4b4;
    padding: 5px;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0.8;
}

.footer__figure:hover {
    opacity: 1;
    background-color: #666;
    transition: 0.3s;
}

.footer__img {
    width: 100%;
}

/* -------------------------------------------------------------------------------- */

@media screen and (max-width: 700px) {
    .body {
        max-width: 500px;
        padding: 5px 0 5px 0;
    }

    .header {
        justify-content: center;
    }

    .main {
        display: block;
        padding: 5% 10% 3% 10%;
    }

    .pokemon {
        display: block;
    }

    .pokemon__header {
        padding: 1.5% 5% 1.5% 5%;
        font-size: 20px;
        height: 30px;
        margin: 0 0 10px 0;
    }

    .pokemon__img {
        z-index: 2;
        max-height: 380px;
        max-width: 380px;
    }

    .description {
        margin: 0 0 -15px 0;
        padding-top: 10%;
        max-height: 330px;
        position: relative;
        bottom: 2em;
        z-index: 1;
    }

    .description__characteristic--first {
        display: block;
        grid-row: 1;
        grid-column: 2;
        text-align: left;
        padding-left: 15%;
        margin-bottom: 10%;
    }

    .description__data--first {
        display: block;
        grid-row: 1;
        grid-column: 3;
        text-align: left;
        padding-left: 15%;
        margin-bottom: 10%;
    }

    .description__characteristic--second {
        display: block;
        grid-row: 2;
        grid-column: 2;
        text-align: left;
        padding-left: 15%;
        margin-bottom: 10%;
    }

    .description__data--second {
        display: block;
        grid-row: 2;
        grid-column: 3;
        text-align: left;
        padding-left: 15%;
        margin-bottom: 10%;
    }

    .description__characteristic {
        font-size: clamp(0.8rem, -0.875rem + 7vw, 1.2rem);
        padding: 5px 0 5px 15%;
        color: black;
    }

    .description__data {
        padding: 5px 0 0 15%;
        font-size: clamp(0.8rem, -0.875rem + 7vw, 1.2rem);
        color: black;
    }

    .footer {
        display: block;
        min-height: 210px;
    }

    .footer__others {
        font-size: 1rem;
    }

    .footer__pokemons {
        margin-top: 20px;
        display: grid;
        grid-template-rows: 50% 50%;
        grid-template-columns: 12% 38% 38% 12%;
        padding: 0;
    }

    .footer__figure--first {
        grid-row: 1;
        grid-column: 2;
    }

    .footer__figure--second {
        grid-row: 1;
        grid-column: 3;
    }

    .footer__figure--third {
        grid-row: 2;
        grid-column: 2;
    }

    .footer__figure--fourth {
        grid-row: 2;
        grid-column: 3;
    }

    .footer__figure {
        width: 60px;
        height: 60px;
        margin: 0 auto 15px auto;

    }
}